moppi|demopaja

## Halftone Grid

Halftone Grid effect creates a matrix of images. The image was originally made to mimic the halftone grid patterns, hence the name.

Basically the effect takes very small image as input (scroll image), and for each pixel in that image it display another image (dot image). The color and opacity in the scroll image can be used to control the size and color of each dot rendered. Finally the scroll image is scrolled horizontally over time.

The produced dot pattern can be masked using a mask image. The mask image is the same size as the displayed matrix. The mask image is not scrolled, but the values in the scoll image are multiplied by the values in the mask image. Which means, that the mask image dims or fades the scrolled image.

To allow more complex display, the matrix or grid can be twisted using control points. The control points defines a curve and the matrix is shaped along that.

### Parameters

#### Transform

Position
  The position of the effect
Pivot
  The pivot point of the effect
Scale
  The scale factor of the effect

#### Attributes

Fill Color
  The color change of the dot image.
Render Mode
  The render mode can be Normal, Add (additive) or Mult (multiply).
Color Source
  The color source can be Constant when the Fill Color is used, or Scroll Image then the color for each dot is got from the scroll image.
Size Source
  The size of each dot can be constant (None), or it can vary depending on one of the color channels in the Scroll Image.
Mask Source
  The color channel used in the masking operation.
Scroll Speed
  The speed which the scroll image is scrolled.
Dot Image
  The image to display at each sample.
Mask Image
  The image used to mask the scroll image.
Scroll Image
  The image used to create the pattern.

Copyright © 2000 - 2002 Moppi Productions